
-- Display a message in the console for debugging
function Msg(value)
  if console then
    reaper.ShowConsoleMsg(tostring(value) .. "\n")
  end
end

console = true -- true/false: display debug messages in the console


function sleep(s)
  local ntime = os.time() + s
  repeat until os.time() > ntime
end


    tempo_markers_count = reaper.CountTempoTimeSigMarkers(0)
    if tempo_markers_count > 0 then
    
      cur_pos = reaper.GetCursorPosition()
      
      --retval_split,input_yes  = reaper.GetUserInputs("Region Split to Tempo Map", 1, "Split Regions @ Tempo changes ?", "yes")
      commandID1 = reaper.NamedCommandLookup("_RS3628f83c9f311bd67b97be26bb47f9d76c5cbaf9")
      reaper.Main_OnCommand(commandID1, 0) -- Script: ReaTrak Export regions as file.lua

      regions_saved = 1
      
      commandID4 = reaper.NamedCommandLookup("_RS3374194533e692527a47ca4ede0688a20fd691fd")
      reaper.Main_OnCommand(commandID4, 0) -- Script: ReaTrak split regions at tempo markers.lua
      
      
      commandID3 = reaper.NamedCommandLookup("_SWSMARKERLIST8")
      reaper.Main_OnCommand(commandID3, 0) -- SWS: Renumber region IDs  
      
      reaper.SetEditCurPos2( 0, cur_pos, 0, 0 )

    end



    --commandID10 = reaper.NamedCommandLookup("_dc512c9369370044a2f8a292c27ca39d")
    --reaper.Main_OnCommand(commandID10, 0) --  Custom: ReaTrak     

      
    commandID10 = reaper.NamedCommandLookup("_RS558f5cec5230ef6366aae51c5f9138909bd8a01d")
    reaper.Main_OnCommand(commandID10, 0) --  Script: ReaTrak select current region.lua
    
    reaper.Main_OnCommand(40058, 0) --  Item: Paste items/tracks
    
    reaper.Main_OnCommand(41173, 0) --  Item navigation: Move cursor to start of items
    
    commandID11 = reaper.NamedCommandLookup("_RSef3a489d9791ceb057ab746d66b82ba461bb33d1")
    reaper.Main_OnCommand(commandID11, 0) --  Script: ReaTrak Split to regions CSV.lua
    
    --Info1 = [[ Pause]]
    --reaper.MB(Info1, "Move and match next", 0)
    sleep(.0005)
    
    commandID12 = reaper.NamedCommandLookup("_RSd396b5c9d44a2318be8cf27878cc081ca5c5ba9c")
    reaper.Main_OnCommand(commandID12, 0) --  Script: ReaTrak Move and match.lua
    
    reaper.Main_OnCommand(40289, 0) --  Item: Unselect all items
    
    commandID13 = reaper.NamedCommandLookup("_RSce47da3c9b1238de71cc94a1cb99732b9abd5e41")
    reaper.Main_OnCommand(commandID13, 0) --  Script: ReaTrak Go to start of next region.lua
    
    reaper.Main_OnCommand(40635, 0) --  Time selection: Remove time selection
    
    commandID14 = reaper.NamedCommandLookup("_SWS_MOVECUR5MSRIGHT")
    reaper.Main_OnCommand(commandID14, 0) --  SWS: Move cursor right 5ms
   
    
    
    if regions_saved == 1 then
      
      commandID1 = reaper.NamedCommandLookup("_RS1c82e587d259e8ea79f40a64b7a92feb8450e477")
      reaper.Main_OnCommand(commandID1, 0) -- Script: ReaTrak Import regions from file.lua
      
    end    

    
